Bug 194320

Summary: Review Request: im-chooser
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: Package ReviewAssignee: David Cantrell <dcantrell>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: eng-i18n-bugs, fedora-package-review, wtogami
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-07-20 16:24:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 182541, 188268    

Description Akira TAGOH 2006-06-07 05:08:16 EDT
Spec URL: http://people.redhat.com/tagoh/im-chooser/im-chooser.spec
SRPM URL: http://people.redhat.com/tagoh/im-chooser/im-chooser-0.1.0-1.src.rpm
Description:
im-chooser is a GUI configuration tool for Input Method that easily choose what you would use for your desktop.
Comment 1 Akira TAGOH 2006-06-07 05:27:23 EDT
SRPM URL: http://people.redhat.com/tagoh/im-chooser/im-chooser-0.1.1-1.src.rpm

Please use this one instead - actually no changes in spec file, but in upstream
tarball.
Comment 2 Bill Nottingham 2006-06-07 10:37:32 EDT
Don't we only ship SCIM?
Comment 3 Akira TAGOH 2006-06-07 20:10:22 EDT
Yes, but this is still helpful for people who don't want to use IM and we are
trying to enable IM by default. ideally adding IM configuration page into
firstboot  too would be great, though.
Comment 4 Bill Nottingham 2006-06-07 23:04:28 EDT
I don't get it.

If we only have one IM, what's to configure?

If it's so obtrusive that it would need to be turned off (aside from just not
installing it), it needs to be fixed.
Comment 5 Akira TAGOH 2006-06-08 02:34:27 EDT
Ok, that makes sense. I'll put this into Extras then.
Comment 6 Leon Ho 2006-07-05 03:05:10 EDT
Hi Bill, let me try to justify this before creating a request solely to RHEL
release. There are user preferences where user would like to install language
packs in anaconda for reading web pages, but not input the native scripts.
Especially for now even en_US users will load SCIM if they have installed SCIM
packages. There should be a quick way for user in GUI to disable/enable IM
temporary - having the user to disable SCIM by uninstalling them by rpm command
is probably low in usability.

We consider this tool just like an config tool for user to config their keyboard
(enable/disable their native key maps), or enabling/disabling samba service. All
those actions do not require uninstalling the packages should they want to
disable the function, instead we have a good user interface for them to disable
temporary. In this sense, we should have similar GUI tool for Input Method.

In the long term wise, we want to standardize this IM configuration and merged
it into Keyboard properties.

Comment 7 Bill Nottingham 2006-07-05 13:59:31 EDT
How is it obtrusive if it's installed but not generally used - where are users
going to bump into it? 
Comment 8 Leon Ho 2006-07-05 21:24:49 EDT
It will be mainly on the trayicon on the panel, and also the trigger key for
toggle the input method. As those lead to more a preference of usage so it is
solely providing a preference for user to enable/disable the service without
uninstall the package from the command line.
Comment 9 Bill Nottingham 2006-07-05 21:36:33 EDT
So, it's .... removing something from the autostart folder on the desktop?
Something else?
Comment 10 Warren Togami 2006-07-05 21:54:44 EDT
Note that this is comparable to how you enable IM on Windows or Mac.  If you are
logged into an English desktop, you find IM options in desktop preferences
somewhere and enable it.  Then from then on IM is visible from your systray and
active within desktop applications.

We definitely need something comparable to this in our base distribution.
Comment 11 Leon Ho 2006-07-05 22:54:24 EDT
notting: SCIM autoloads with the initial use of gtk im module, so it is to
control the xinput behavior.
Comment 12 Bill Nottingham 2006-07-11 23:27:45 EDT
OK, has my ACK. Some comments:

'Use legacy' or 'use custom' should probably only be available if there are
legacy/custom IMs installed.

If you select 'Always use' with no SCIM installed, you get a dangling symlink.
Comment 13 Akira TAGOH 2006-07-11 23:31:58 EDT
yes, I'm aware of those issues and in my todo list actually FWIW.
Comment 14 Warren Togami 2006-07-12 15:29:41 EDT
1) "Always use input methods" and "Use custom input method" is redundant and
confusing.  It is unclear what the difference is between "Always" and selecting
the first option of custom.  Why not eliminate "Always" and make the pulldown
menu the top option?

2) Wouldn't it be best to hide "scim-qtimm" and "scim-bridge" because they are
not stand-alone, but rather additions to the environment set by "scim"?
Comment 15 Akira TAGOH 2006-07-12 20:45:35 EDT
BTW im-chooser has been approved for Extras now and new one is available on it.
"Always use input methods" option has been gone and it is now "Follow the
system-wide configuration" instead of. I still think that eliminating this
option isn't a good idea. technically "custom" makes a symlink to something
directly. it may be not good in some cases.

about 2), yes, Jens and I discussed about it to add the kind of tag in xinput
script to let im-chooser understand to hide from the option menu.

any comments about im-chooser are welcome. please try the latest version.
Comment 17 Jesse Keating 2006-07-19 12:55:06 EDT
Given it passed Extras review just shortly ago, approving for Core from a
package quality standpoint.

Adding with tagoh as owner.

You'll need to coordinate having it removed from Extras.

How should this be in Comps?
Comment 18 Akira TAGOH 2006-07-20 08:49:02 EDT
Well, ideally it should be installed by default regardless scim is installed or
not, to allow all people to setup their preference. Warren and I talked about it
a bit though, if someone enables IM on im-chooser without SCIM installed say,
getting the package through pirut say and installing them sounds good idea to me.
So I would push this to install by default for that purpose too.
Comment 19 Jesse Keating 2006-07-20 16:06:01 EDT
Added to Gnome and KDE desktop groups as a default.
Comment 20 Jesse Keating 2006-07-20 16:24:13 EDT
This has been built into rawhide.
Comment 21 Akira TAGOH 2006-07-23 23:36:47 EDT
BTW there is no component for im-chooser in bugzilla (I mean for Fedora Core).
can you add it?